Zum Hauptinhalt springen
PATCH
/
quality
/
scorecard
/
{id}
Update a quality scorecard
curl --request PATCH \
  --url https://demo.enneo.ai/api/mind/quality/scorecard/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Voice - Tier 2 escalation (v2)",
  "categories": [
    {
      "categoryId": 1,
      "label": "Greeting",
      "order": 1,
      "criteria": [
        {
          "id": 100,
          "label": "Tone",
          "description": "Agent greets the customer within 10 seconds",
          "maxPoints": 5,
          "scoringType": "numericScale",
          "autoGenerateByAi": false,
          "assessmentPrompt": "Score how friendly the greeting was.",
          "makeOrBreakForCategory": false,
          "makeOrBreakForAssessment": true
        }
      ]
    }
  ],
  "assignment": {
    "teams": [
      12
    ],
    "channels": [
      "phone"
    ]
  },
  "createNewRevision": false
}
'
{
  "scorecard": {
    "id": 42,
    "baseId": 17,
    "revision": 3,
    "name": "Email QA - Tier 1",
    "state": "active",
    "categories": [],
    "assignment": {
      "teams": [
        5
      ],
      "channels": [
        "email"
      ]
    },
    "modifiedAt": "2024-06-01T10:30:00Z",
    "canEdit": true
  },
  "message": null
}

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Pfadparameter

id
integer
erforderlich

Scorecard ID

Body

application/json
name
string

Name of the scorecard

state
enum<string>

State of the scorecard

Verfügbare Optionen:
draft,
active,
retired,
deleted
categories
object[]

Categories with nested criteria definitions

assignment
object

Assignment rules (optional). Omitted fields are cleared to empty (no filter).

liveCoach
object

Live Quality Coach configuration. Only updated when the field is present in the payload.

createNewRevision
boolean
Standard:true

If true (default) and the scorecard is active, creates a new revision instead of overwriting.

Antwort

Scorecard updated successfully

scorecard
object

Quality scorecard for assessing agent performance

message
string | null

Set when the server transparently redirected the update to the latest revision.